# Loki::TwoRefCounts Class Reference
[StrongPtr Ownership policies]

`#include <StrongPtr.h>`

Collaboration diagram for Loki::TwoRefCounts:
[legend]

List of all members.

## Protected Member Functions

| ~TwoRefCounts (void)

## Detailed Description

This implementation of StrongPtr's OwnershipPolicy uses a pointer to a shared instance of TwoRefCountInfo. This is the default policy for OwnershipPolicy. Some functions are trivial enough to be inline, while others are implemented elsewhere. It is not thread safe, and is intended for single-threaded environments.

## Constructor & Destructor Documentation

Loki::TwoRefCounts::~TwoRefCounts | ( | void |  | ) | `[inline, protected]`

The destructor does not need to do anything since the call to ZapPointer inside StrongPtr::~StrongPtr will do the cleanup which this dtor would have done.

The documentation for this class was generated from the following files:

- StrongPtr.h
- StrongPtr.cpp